      SUBROUTINE GSPLNEC (N,X,Y)
      PARAMETER (NMAX=1000)
      REAL*4 X(*),Y(*)
      INTEGER*2 IXY(0:1,0:NMAX)
      logical*4 dehors,trestresloin
      INCLUDE 'Parametres.f'
C
      if (gardefou) then
        dehors = .true.
        do i=1,n
          dehors = dehors.and.trestresloin(x(i),y(i))
        enddo
        if (dehors) return
      endif
      if (ipostscript.eq.1) then
Cfj        ixy(0,0) = int2(nint(origine_x + facteur_en_x*X(n)))
Cfj        ixy(1,0) = int2(nint(origine_y + facteur_en_y*Y(n)))
        ixy(0,0) = nint(origine_x + facteur_en_x*X(n))
        ixy(1,0) = nint(origine_y + facteur_en_y*Y(n))
        do i=1,n               
Cfj          IXY(0,i) = INT2(nint(origine_x + facteur_en_x*X(i)))
Cfj          IXY(1,i) = INT2(nint(origine_y + facteur_en_y*Y(i)))
          IXY(0,i) = nint(origine_x + facteur_en_x*X(i))
          IXY(1,i) = nint(origine_y + facteur_en_y*Y(i))
        enddo
        call x11polyligne(IXY(0,0),n+1)
      else
        if (sauve_graphic) then
          xc = xdecalmarc 
     &       + facteurmarc*(xcourant-origine_x) / facteur_en_x
          yc = ydecalmarc 
     &       + facteurmarc*(ycourant-origine_y) / facteur_en_y
          write(isgr,*) xc,yc
          do i=1,n
            write(isgr,*) xdecalmarc + facteurmarc*x(i)
     &                 ,ydecalmarc + facteurmarc*y(i)
          enddo
          write(isgr,*) ' '
          return
        endif
        if (ityp_ligne.ne.ityp_ligne_pend
     &  .or.epais_ligne.ne.epais_ligne_pend) call ecrligne(bid,ibid,0)
        if (ipostscript.ne.-1.and.icoul_pend.ne.icoul_eff) then
          call ecriscoul(icoul_pend)
        endif
        xxxx = origine_x + facteur_en_x*X(n)
        yyyy = origine_y + facteur_en_y*Y(n)
        call ecrispascher0(xxxx)
        call ecrispascher1(ilaser_file,yyyy,' m')
        do i=1,n-1
          xxxx = origine_x + facteur_en_x*X(i)
          yyyy = origine_y + facteur_en_y*Y(i)
          call ecrispascher0(xxxx)
          call ecrispascher1(ilaser_file,yyyy,' l')
        enddo
        write(ilaser_file,3001)
        write(ilaser_file,3000)
      endif
 3000 format ('s')
 3001 format ('C')
      END 
